Bug 199514 - audio/xfce4-mixer does not list all audio channels and incorrect listing.
Summary: audio/xfce4-mixer does not list all audio channels and incorrect listing.
Status: Closed Not Accepted
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Many People
Assignee: freebsd-xfce mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-18 10:01 UTC by mzs_47
Modified: 2018-02-03 14:12 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (xfce)


Attachments
Screenshot of list of channels, xfce4-mixer settings, plugin (136.33 KB, image/png)
2015-04-18 10:01 UTC, mzs_47
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description mzs_47 2015-04-18 10:01:36 UTC
Created attachment 155689 [details]
Screenshot of list of channels, xfce4-mixer settings, plugin

I have installed XFCE 4.12 with xfce4-mixer, my user is part of operator and wheel groups. I have attached a screenshot which shows list of channels, the current default channel(Front Analog) and incorrectly listed channel(Rear Analog) in audio-mixer pulgin.

As a result a user is unable to see the audio channels, select one, and change the volume using the audio plugin.

For now I am using 'sysctl hw.snd.default_unit=x' to change/select a different channel.

Following are the package details-


 pkg info xfce4-mixer
xfce4-mixer-4.11.0_2
Name           : xfce4-mixer
Version        : 4.11.0_2
Installed on   : Sun Mar 15 21:29:10 IST 2015
Origin         : audio/xfce4-mixer
Architecture   : freebsd:10:x86:64
Prefix         : /usr/local
Categories     : xfce audio
Licenses       : GPLv2
Maintainer     : xfce@FreeBSD.org
WWW            : http://www.xfce.org/projects/xfce4-mixer/
Comment        : Volume control for the Xfce desktop

uname -a
FreeBSD freebsd64_10 10.1-RELEASE-p9 FreeBSD 10.1-RELEASE-p9 #0: Tue Apr  7 01:09:46 UTC 2015     root@amd64-builder.daemonology.net:/usr/obj/usr/src/sys/GENERIC  amd64
Comment 1 Olivier Duchateau freebsd_committer 2015-05-01 06:53:07 UTC
xfce4-mixer is not anymore maintained by upstream.

I fear audio/xfce4-mixer'll stay in this way, if nobody provides patch.
Comment 2 Walter Schwarzenfeld freebsd_triage 2018-01-13 19:58:37 UTC
Hallo! If there is three years and no change and no support, it is the question: remove the port?
Comment 3 mzs_47 2018-01-14 01:20:16 UTC
I personally think that something is better than nothing, lets have xfce4-mixer as the way it is, perhaps someone in the future can take this work up. This open issue will be a reminder and can stop other users from raising new issues.
Comment 4 Guido Falsi freebsd_committer 2018-02-03 14:03:36 UTC
The upstream dropped support long time ago.

There is no reason to keep the issue open, it will remain for reference even if closed.

The port can remain until it is not completely broken and if anyone wants to propose patches for it they will be evaluated without reserves.